Index: eclaireXL_ITX/pll_hdmi.cmp
===================================================================
--- eclaireXL_ITX/pll_hdmi.cmp	(revision 973)
+++ eclaireXL_ITX/pll_hdmi.cmp	(revision 974)
@@ -3,7 +3,6 @@
 			refclk   : in  std_logic := 'X'; -- clk
 			rst      : in  std_logic := 'X'; -- reset
 			outclk_0 : out std_logic;        -- clk
-			outclk_1 : out std_logic;        -- clk
 			locked   : out std_logic         -- export
 		);
 	end component pll_hdmi;
Index: eclaireXL_ITX/pll_hdmi2/pll_hdmi2_0002.v
===================================================================
--- eclaireXL_ITX/pll_hdmi2/pll_hdmi2_0002.v	(nonexistent)
+++ eclaireXL_ITX/pll_hdmi2/pll_hdmi2_0002.v	(revision 974)
@@ -0,0 +1,90 @@
+`timescale 1ns/10ps
+module  pll_hdmi2_0002(
+
+	// interface 'refclk'
+	input wire refclk,
+
+	// interface 'reset'
+	input wire rst,
+
+	// interface 'outclk0'
+	output wire outclk_0,
+
+	// interface 'outclk1'
+	output wire outclk_1,
+
+	// interface 'locked'
+	output wire locked
+);
+
+	altera_pll #(
+		.fractional_vco_multiplier("false"),
+		.reference_clock_frequency("148.5 MHz"),
+		.operation_mode("direct"),
+		.number_of_clocks(2),
+		.output_clock_frequency0("74.250000 MHz"),
+		.phase_shift0("0 ps"),
+		.duty_cycle0(50),
+		.output_clock_frequency1("371.250000 MHz"),
+		.phase_shift1("0 ps"),
+		.duty_cycle1(50),
+		.output_clock_frequency2("0 MHz"),
+		.phase_shift2("0 ps"),
+		.duty_cycle2(50),
+		.output_clock_frequency3("0 MHz"),
+		.phase_shift3("0 ps"),
+		.duty_cycle3(50),
+		.output_clock_frequency4("0 MHz"),
+		.phase_shift4("0 ps"),
+		.duty_cycle4(50),
+		.output_clock_frequency5("0 MHz"),
+		.phase_shift5("0 ps"),
+		.duty_cycle5(50),
+		.output_clock_frequency6("0 MHz"),
+		.phase_shift6("0 ps"),
+		.duty_cycle6(50),
+		.output_clock_frequency7("0 MHz"),
+		.phase_shift7("0 ps"),
+		.duty_cycle7(50),
+		.output_clock_frequency8("0 MHz"),
+		.phase_shift8("0 ps"),
+		.duty_cycle8(50),
+		.output_clock_frequency9("0 MHz"),
+		.phase_shift9("0 ps"),
+		.duty_cycle9(50),
+		.output_clock_frequency10("0 MHz"),
+		.phase_shift10("0 ps"),
+		.duty_cycle10(50),
+		.output_clock_frequency11("0 MHz"),
+		.phase_shift11("0 ps"),
+		.duty_cycle11(50),
+		.output_clock_frequency12("0 MHz"),
+		.phase_shift12("0 ps"),
+		.duty_cycle12(50),
+		.output_clock_frequency13("0 MHz"),
+		.phase_shift13("0 ps"),
+		.duty_cycle13(50),
+		.output_clock_frequency14("0 MHz"),
+		.phase_shift14("0 ps"),
+		.duty_cycle14(50),
+		.output_clock_frequency15("0 MHz"),
+		.phase_shift15("0 ps"),
+		.duty_cycle15(50),
+		.output_clock_frequency16("0 MHz"),
+		.phase_shift16("0 ps"),
+		.duty_cycle16(50),
+		.output_clock_frequency17("0 MHz"),
+		.phase_shift17("0 ps"),
+		.duty_cycle17(50),
+		.pll_type("General"),
+		.pll_subtype("General")
+	) altera_pll_i (
+		.rst	(rst),
+		.outclk	({outclk_1, outclk_0}),
+		.locked	(locked),
+		.fboutclk	( ),
+		.fbclk	(1'b0),
+		.refclk	(refclk)
+	);
+endmodule
+
Index: eclaireXL_ITX/pll_hdmi2.cmp
===================================================================
--- eclaireXL_ITX/pll_hdmi2.cmp	(nonexistent)
+++ eclaireXL_ITX/pll_hdmi2.cmp	(revision 974)
@@ -0,0 +1,10 @@
+	component pll_hdmi2 is
+		port (
+			refclk   : in  std_logic := 'X'; -- clk
+			rst      : in  std_logic := 'X'; -- reset
+			outclk_0 : out std_logic;        -- clk
+			outclk_1 : out std_logic;        -- clk
+			locked   : out std_logic         -- export
+		);
+	end component pll_hdmi2;
+
Index: eclaireXL_ITX/pll_hdmi2.sip
===================================================================
--- eclaireXL_ITX/pll_hdmi2.sip	(nonexistent)
+++ eclaireXL_ITX/pll_hdmi2.sip	(revision 974)
@@ -0,0 +1,6 @@
+set_global_assignment -entity "pll_hdmi2" -library "lib_pll_hdmi2" -name IP_TOOL_NAME "altera_pll"
+set_global_assignment -entity "pll_hdmi2" -library "lib_pll_hdmi2" -name IP_TOOL_VERSION "18.0"
+set_global_assignment -entity "pll_hdmi2" -library "lib_pll_hdmi2" -name IP_TOOL_ENV "mwpim"
+set_global_assignment -library "lib_pll_hdmi2" -name SPD_FILE [file join $::quartus(sip_path) "pll_hdmi2.spd"]
+
+set_global_assignment -library "lib_pll_hdmi2" -name MISC_FILE [file join $::quartus(sip_path) "pll_hdmi2_sim/pll_hdmi2.vho"]
Index: eclaireXL_ITX/pll_hdmi2.ppf
===================================================================
--- eclaireXL_ITX/pll_hdmi2.ppf	(nonexistent)
+++ eclaireXL_ITX/pll_hdmi2.ppf	(revision 974)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<pinplan
+ variation_name="pll_hdmi2"
+ megafunction_name="ALTERA_PLL"
+ intended_family="Cyclone V"
+ specifies="all_ports">
+ <global>
+  <pin name="refclk" direction="input" scope="external" />
+  <pin name="rst" direction="input" scope="external" />
+  <pin name="outclk_0" direction="output" scope="external" />
+  <pin name="outclk_1" direction="output" scope="external" />
+  <pin name="locked" direction="output" scope="external" />
+ </global>
+</pinplan>
Index: eclaireXL_ITX/pll_hdmi2.spd
===================================================================
--- eclaireXL_ITX/pll_hdmi2.spd	(nonexistent)
+++ eclaireXL_ITX/pll_hdmi2.spd	(revision 974)
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<simPackage>
+ <file path="pll_hdmi2_sim/pll_hdmi2.vho" type="VHDL" />
+ <topLevel name="pll_hdmi2" />
+ <deviceFamily name="cyclonev" />
+</simPackage>
Index: eclaireXL_ITX/atari800core_eclaireXLv2.vhd
===================================================================
--- eclaireXL_ITX/atari800core_eclaireXLv2.vhd	(revision 973)
+++ eclaireXL_ITX/atari800core_eclaireXLv2.vhd	(revision 974)
@@ -22,7 +22,9 @@
 		-- For initial port may help to have no
 		internal_rom : integer := 1;  -- if 0 expects it in sdram,is 1:16k os+basic, is 2:... TODO
 		internal_ram : integer := 16384;  -- at start of memory map
-		sid : integer := 0
+		sid : integer := 0;
+		enable_area_scaler : integer := 1;
+		enable_polyphasic_scaler : integer := 0
 	);
 	PORT
 	(
@@ -152,7 +154,17 @@
 	);
 end component;
 
-component pll_hdmi
+component pll_hdmi is
+  port (
+			 refclk    : in  std_logic := '0'; --    refclk.clk
+			 rst       : in  std_logic := '0'; --     reset.reset
+			 outclk_0  : out std_logic;        --   outclk0.clk
+			 locked    : out std_logic        --    locked.export
+  );
+end component;
+
+
+component pll_hdmi2
 	port (
 		refclk   : in  std_logic := '0'; --  refclk.clk
 		rst      : in  std_logic := '0'; --   reset.reset
@@ -199,16 +211,15 @@
 	);
 end component;
 
-component ddioclkctrl is
-	port (
-		inclk3x   : in  std_logic                    := '0';             --  altclkctrl_input.inclk3x
-		inclk2x   : in  std_logic                    := '0';             --                  .inclk2x
-		inclk1x   : in  std_logic                    := '0';             --                  .inclk1x
-		inclk0x   : in  std_logic                    := '0';             --                  .inclk0x
-		clkselect : in  std_logic_vector(1 downto 0) := (others => '0'); --                  .clkselect
-		ena       : in  std_logic                    := '0';             --                  .ena
-		outclk    : out std_logic                                        -- altclkctrl_output.outclk
-	);
+component clkctrl2 is
+  port (
+		inclk3x   : in  std_logic                    := 'X';             -- inclk3x
+		inclk2x   : in  std_logic                    := 'X';             -- inclk2x
+		inclk1x   : in  std_logic                    := 'X';             -- inclk1x
+		inclk0x   : in  std_logic                    := 'X';             -- inclk0x
+		clkselect : in  std_logic_vector(1 downto 0) := (others => 'X'); -- clkselect
+		outclk    : out std_logic                                        -- outclk
+  );
 end component;
 
 component pll_usb is
@@ -249,7 +260,8 @@
 
 
 	-- SYSTEM
-	SIGNAL GCLOCK_50 : STD_LOGIC; -- Only 2 fplls can use the pin!
+	SIGNAL GCLOCK_54 : STD_LOGIC; -- Only 2 fplls can use the pin!
+	SIGNAL GCLOCK_148_5 : STD_LOGIC; -- Only 2 fplls can use the pin!
 	SIGNAL CLK : STD_LOGIC;
 	SIGNAL CLK_1x : STD_LOGIC;
 	SIGNAL CLK_114 : STD_LOGIC;
@@ -260,6 +272,13 @@
 
  	SIGNAL CLK_PIXEL_IN : STD_LOGIC;
  	SIGNAL CLK_HDMI_IN : STD_LOGIC;
+	
+	signal CLK_PIXEL_SWITCH : STD_LOGIC;
+ 	--SIGNAL CLK_7425_PIXEL_IN : STD_LOGIC;
+ 	--SIGNAL CLK_7425_HDMI_IN : STD_LOGIC;
+ 	--SIGNAL CLK_27_PIXEL_IN : STD_LOGIC;
+ 	--SIGNAL CLK_27_HDMI_IN : STD_LOGIC;
+	signal clk_hdmi_select : std_logic_vector(2 downto 0);
 
 	SIGNAL CLK_raw : STD_LOGIC;
 	SIGNAL CLK_1x_raw : STD_LOGIC;
@@ -500,6 +519,8 @@
 	signal pll_acore_locked : std_logic;
 
 	signal pll_hdmi_locked : std_logic;
+	signal pll_hdmi1_locked : std_logic;
+	signal pll_hdmi2_locked : std_logic;	
 
 	signal pll_pause_counter_reg : std_logic_vector(25 downto 0);
 	signal pll_pause_counter_next : std_logic_vector(25 downto 0);
@@ -866,7 +887,7 @@
 	outclk => CLK_114
 );
 
-clkctrl2: clkctrl 
+clkctrl2i: clkctrl 
 port map (
 	inclk  => DRAM_CLK_raw,
 	ena    => pll_enable_reg,
@@ -976,11 +997,63 @@
 );
 
 pll_hdmi_inst : pll_hdmi
-PORT MAP(refclk => GCLOCK_50,
-		 outclk_0 => CLK_PIXEL_IN, -- 27MHz 
-		 outclk_1 => CLK_HDMI_IN,  -- 5*27MHz
-		 locked => PLL_HDMI_LOCKED);
+PORT MAP(refclk => GCLOCK_54,
+		 outclk_0 => GCLOCK_148_5,
+		 locked => open);
+		 
+		 
 
+    u0 : clkctrl2
+        port map (
+            inclk3x   => GCLOCK_54,   --  altclkctrl_input.inclk3x
+            inclk2x   => GCLOCK_148_5,   --                  .inclk2x
+--            inclk1x   => CLOCK_50,   --                  .inclk1x < builds/works
+--            inclk0x   => CLOCK_50,   --                  .inclk0x
+--            inclk1x   => CLKGEN_CLK2,   --                  .inclk1x < fails to build
+--            inclk0x   => CLKGEN_CLK0,   --                  .inclk0x
+            inclk1x   => CLKGEN_CLK2,   --                  .inclk1x
+            inclk0x   => CLOCK_50,   --                  .inclk0x				
+            clkselect => clk_hdmi_select(1 downto 0), --                  .clkselect
+            outclk    => CLK_PIXEL_SWITCH     -- altclkctrl_output.outclk
+        );
+		  
+--CLK_HDMI_IN <= CLK_PIXEL_IN;
+
+		 
+		 
+pll_hdmi2_inst : pll_hdmi2
+PORT MAP(refclk => CLK_PIXEL_SWITCH,
+		 locked => PLL_HDMI_LOCKED,
+		 outclk_0 => CLK_PIXEL_IN,
+		 outclk_1 => CLK_HDMI_IN);
+		 
+--PLL_HDMI_LOCKED <= PLL_HDMI1_LOCKED and PLL_HDMI2_LOCKED;
+
+--CLK_PIXEL_IN <= CLK_7425_PIXEL_IN;
+--CLK_HDMI_IN <= CLK_7425_HDMI_IN;
+		 
+--clkctrl2_1: clkctrl2
+--port map (
+--	inclk0x => CLOCK_50,
+--	inclk1x => '0',
+--	  => CLK_7425_PIXEL_IN,
+--	inclk3x  => CLK_27_PIXEL_IN,
+--	clkselect    => '1'&clk_hdmi_select,
+--	ena => '1',
+--	outclk => CLK_PIXEL_IN
+--);
+--
+--clkctrl2_2: clkctrl2
+--port map (
+--	inclk0x => CLOCK_50,
+--	inclk1x => '0',
+--	inclk2x  => ,
+--	inclk3x  => CLK_27_HDMI_IN,	
+--	clkselect    => '1'&clk_hdmi_select,
+--	ena => '1',
+--	outclk => CLK_HDMI_IN
+--);
+--		 
 --end generate;
 
 
@@ -1005,7 +1078,7 @@
 pllusbinstance : pll_usb
 PORT MAP(refclk => CLOCK_50, 
 		 outclk_0 => CLK_USB,
-		 outclk_1 => GCLOCK_50,
+		 outclk_1 => GCLOCK_54,
 		 locked => open);
 
 
@@ -1237,7 +1310,7 @@
 		CLK => CLK,
 		RESET_N => RESET_N and sdram_reset_n,
 
-		-- dma bus master (with many waitstates...)
+		-- dma bus master (with manclk_hdmi_selecty waitstates...)
 		ZPU_ADDR_FETCH => dma_addr_fetch,
 		ZPU_DATA_OUT => dma_write_data,
 		ZPU_FETCH => dma_fetch,
@@ -1308,7 +1381,7 @@
 		i2c0_scl => clkgen_scl,
 
 		i2c1_sda => vid_sda,
-		i2c1_scl => vid_scl
+		i2c1_scl => vid_scl	
 	);
 
 	pause_atari <= zpu_out1(0);
@@ -1553,11 +1626,16 @@
 
 -- HDMI
 scandoubler_hdmi_int : work.scandoubler_hdmi
+GENERIC MAP
+(
+	enable_area_scaler => enable_area_scaler,
+	enable_polyphasic_scaler => enable_polyphasic_scaler
+)
 PORT MAP
 ( 
 	CLK_ATARI_IN => CLK,
 
-	RESET_N => RESET_N and SDRAM_RESET_N and not(reset_atari),
+	RESET_N => RESET_N,
 
 	audio_left => audio_l_pcm,
 	audio_right => audio_r_pcm,
@@ -1575,6 +1653,7 @@
 	--HDMI clock domain
 	CLK_HDMI_IN => clk_hdmi_in,
 	CLK_PIXEL_IN => clk_pixel_in,
+	CLK_HDMI_SELECT => clk_hdmi_select,
 
 	O_hsync => adj_hsync,
 	O_vsync => adj_vsync,
@@ -1585,7 +1664,11 @@
 
 	-- TO TV...
 	O_TMDS_H => tmds_h,
-	O_TMDS_L => tmds_l
+	O_TMDS_L => tmds_l,
+	
+	-- I2C
+	sda => clkgen_sda,
+	scl => clkgen_scl
 );
 
 END vhdl;
Index: eclaireXL_ITX/clkctrl.sopcinfo
===================================================================
--- eclaireXL_ITX/clkctrl.sopcinfo	(revision 973)
+++ eclaireXL_ITX/clkctrl.sopcinfo	(revision 974)
@@ -1,11 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <EnsembleReport name="clkctrl" kind="clkctrl" version="1.0" fabric="QSYS">
- <!-- Format version 16.1 196 (Future versions may contain additional information.) -->
- <!-- 2016.12.27.22:17:25 -->
+ <!-- Format version 18.0 614 (Future versions may contain additional information.) -->
+ <!-- 2020.02.12.21:10:43 -->
  <!-- A collection of modules and connections -->
  <parameter name="AUTO_GENERATION_ID">
   <type>java.lang.Integer</type>
-  <value>1482877045</value>
+  <value>1581538243</value>
   <derived>false</derived>
   <enabled>true</enabled>
   <visible>false</visible>
@@ -32,7 +32,7 @@
  </parameter>
  <parameter name="AUTO_DEVICE">
   <type>java.lang.String</type>
-  <value>5CEBA2F23C8</value>
+  <value>5CEBA4F23C8</value>
   <derived>false</derived>
   <enabled>true</enabled>
   <visible>false</visible>
@@ -68,7 +68,7 @@
  <module
    name="altclkctrl_0"
    kind="altclkctrl"
-   version="16.1"
+   version="18.0"
    path="altclkctrl_0">
   <!-- Describes a single module. Module parameters are
 the requested settings for a module instance. -->
@@ -137,7 +137,7 @@
    <visible>true</visible>
    <valid>true</valid>
   </parameter>
-  <interface name="altclkctrl_input" kind="conduit_end" version="16.1">
+  <interface name="altclkctrl_input" kind="conduit_end" version="18.0">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -192,7 +192,7 @@
     <role>ena</role>
    </port>
   </interface>
-  <interface name="altclkctrl_output" kind="conduit_end" version="16.1">
+  <interface name="altclkctrl_output" kind="conduit_end" version="18.0">
    <!-- The connection points exposed by a module instance for the
 particular module parameters. Connection points and their
 parameters are a RESULT of the module parameters. -->
@@ -247,8 +247,8 @@
   <name>altclkctrl</name>
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IModule</subtype>
-  <displayName>ALTCLKCTRL</displayName>
-  <version>16.1</version>
+  <displayName>ALTCLKCTRL Intel FPGA IP</displayName>
+  <version>18.0</version>
  </plugin>
  <plugin>
   <instanceCount>2</instanceCount>
@@ -256,8 +256,8 @@
   <type>com.altera.entityinterfaces.IElementClass</type>
   <subtype>com.altera.entityinterfaces.IMutableConnectionPoint</subtype>
   <displayName>Conduit</displayName>
-  <version>16.1</version>
+  <version>18.0</version>
  </plugin>
- <reportVersion>16.1 196</reportVersion>
+ <reportVersion>18.0 614</reportVersion>
  <uniqueIdentifier></uniqueIdentifier>
 </EnsembleReport>
Index: eclaireXL_ITX/clkctrl2/clkctrl2.cmp
===================================================================
--- eclaireXL_ITX/clkctrl2/clkctrl2.cmp	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/clkctrl2.cmp	(revision 974)
@@ -0,0 +1,11 @@
+	component clkctrl2 is
+		port (
+			inclk3x   : in  std_logic                    := 'X';             -- inclk3x
+			inclk2x   : in  std_logic                    := 'X';             -- inclk2x
+			inclk1x   : in  std_logic                    := 'X';             -- inclk1x
+			inclk0x   : in  std_logic                    := 'X';             -- inclk0x
+			clkselect : in  std_logic_vector(1 downto 0) := (others => 'X'); -- clkselect
+			outclk    : out std_logic                                        -- outclk
+		);
+	end component clkctrl2;
+
Index: eclaireXL_ITX/clkctrl2/clkctrl2.ppf
===================================================================
--- eclaireXL_ITX/clkctrl2/clkctrl2.ppf	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/clkctrl2.ppf	(revision 974)
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<pinplan
+ variation_name="altclkctrl_0"
+ megafunction_name="ALTCLKCTRL"
+ intended_family="Cyclone V"
+ specifies="all_ports">
+ <global>
+  <pin name="inclk3x" direction="input" scope="external" />
+  <pin name="inclk2x" direction="input" scope="external" />
+  <pin name="inclk1x" direction="input" scope="external" />
+  <pin name="inclk0x" direction="input" scope="external" />
+  <pin name="clkselect[1..0]" direction="input" scope="external" />
+  <pin name="outclk" direction="output" scope="external" />
+ </global>
+</pinplan>
Index: eclaireXL_ITX/clkctrl2/clkctrl2_bb.v
===================================================================
--- eclaireXL_ITX/clkctrl2/clkctrl2_bb.v	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/clkctrl2_bb.v	(revision 974)
@@ -0,0 +1,16 @@
+
+module clkctrl2 (
+	inclk3x,
+	inclk2x,
+	inclk1x,
+	inclk0x,
+	clkselect,
+	outclk);	
+
+	input		inclk3x;
+	input		inclk2x;
+	input		inclk1x;
+	input		inclk0x;
+	input	[1:0]	clkselect;
+	output		outclk;
+endmodule
Index: eclaireXL_ITX/clkctrl2/clkctrl2_generation.rpt
===================================================================
--- eclaireXL_ITX/clkctrl2/clkctrl2_generation.rpt	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/clkctrl2_generation.rpt	(revision 974)
@@ -0,0 +1,35 @@
+Info: Starting: Create block symbol file (.bsf)
+Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/eclaireXL_ITX/build_A4EBArom/clkctrl2.qsys --block-symbol-file --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/eclaireXL_ITX/build_A4EBArom/clkctrl2 --family="Cyclone V" --part=5CEBA4F23C8
+Progress: Loading build_A4EBArom/clkctrl2.qsys
+Progress: Reading input file
+Progress: Adding altclkctrl_0 [altclkctrl 18.0]
+Progress: Parameterizing module altclkctrl_0
+Progress: Building connections
+Progress: Parameterizing connections
+Progress: Validating
+Progress: Done reading input file
+: clkctrl2.altclkctrl_0: Targeting device family: Cyclone V.
+: clkctrl2.altclkctrl_0: Selecting AUTO allows the compiler to pick the best clock buffer to use, while other values restrict usage to only the given clock buffer.
+: clkctrl2.altclkctrl_0: The register mode of port 'ena' is unavailable while 'ena' port not added. 
+Info: qsys-generate succeeded.
+Info: Finished: Create block symbol file (.bsf)
+Info: 
+Info: Starting: Create HDL design files for synthesis
+Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/eclaireXL_ITX/build_A4EBArom/clkctrl2.qsys --synthesis=VHDL --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/eclaireXL_ITX/build_A4EBArom/clkctrl2/synthesis --family="Cyclone V" --part=5CEBA4F23C8
+Progress: Loading build_A4EBArom/clkctrl2.qsys
+Progress: Reading input file
+Progress: Adding altclkctrl_0 [altclkctrl 18.0]
+Progress: Parameterizing module altclkctrl_0
+Progress: Building connections
+Progress: Parameterizing connections
+Progress: Validating
+Progress: Done reading input file
+: clkctrl2.altclkctrl_0: Targeting device family: Cyclone V.
+: clkctrl2.altclkctrl_0: Selecting AUTO allows the compiler to pick the best clock buffer to use, while other values restrict usage to only the given clock buffer.
+: clkctrl2.altclkctrl_0: The register mode of port 'ena' is unavailable while 'ena' port not added. 
+Info: clkctrl2: Generating clkctrl2 "clkctrl2" for QUARTUS_SYNTH
+Info: altclkctrl_0: Generating top-level entity clkctrl2_altclkctrl_0.
+Info: altclkctrl_0: "clkctrl2" instantiated altclkctrl "altclkctrl_0"
+Info: clkctrl2: Done "clkctrl2" with 2 modules, 2 files
+Info: qsys-generate succeeded.
+Info: Finished: Create HDL design files for synthesis
Index: eclaireXL_ITX/clkctrl2/clkctrl2_generation_previous.rpt
===================================================================
--- eclaireXL_ITX/clkctrl2/clkctrl2_generation_previous.rpt	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/clkctrl2_generation_previous.rpt	(revision 974)
@@ -0,0 +1,33 @@
+Info: Starting: Create block symbol file (.bsf)
+Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/eclaireXL_ITX/build_A4EBArom/clkctrl2.qsys --block-symbol-file --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/eclaireXL_ITX/build_A4EBArom/clkctrl2 --family="Cyclone V" --part=5CEBA4F23C8
+Progress: Loading build_A4EBArom/clkctrl2.qsys
+Progress: Reading input file
+Progress: Adding altclkctrl_0 [altclkctrl 18.0]
+Progress: Parameterizing module altclkctrl_0
+Progress: Building connections
+Progress: Parameterizing connections
+Progress: Validating
+Progress: Done reading input file
+: clkctrl2.altclkctrl_0: Targeting device family: Cyclone V.
+: clkctrl2.altclkctrl_0: Selecting AUTO allows the compiler to pick the best clock buffer to use, while other values restrict usage to only the given clock buffer.
+Info: qsys-generate succeeded.
+Info: Finished: Create block symbol file (.bsf)
+Info: 
+Info: Starting: Create HDL design files for synthesis
+Info: qsys-generate /home/markw/fpga/svn/repo/trunk/atari_800xl/eclaireXL_ITX/build_A4EBArom/clkctrl2.qsys --synthesis=VHDL --output-directory=/home/markw/fpga/svn/repo/trunk/atari_800xl/eclaireXL_ITX/build_A4EBArom/clkctrl2/synthesis --family="Cyclone V" --part=5CEBA4F23C8
+Progress: Loading build_A4EBArom/clkctrl2.qsys
+Progress: Reading input file
+Progress: Adding altclkctrl_0 [altclkctrl 18.0]
+Progress: Parameterizing module altclkctrl_0
+Progress: Building connections
+Progress: Parameterizing connections
+Progress: Validating
+Progress: Done reading input file
+: clkctrl2.altclkctrl_0: Targeting device family: Cyclone V.
+: clkctrl2.altclkctrl_0: Selecting AUTO allows the compiler to pick the best clock buffer to use, while other values restrict usage to only the given clock buffer.
+Info: clkctrl2: Generating clkctrl2 "clkctrl2" for QUARTUS_SYNTH
+Info: altclkctrl_0: Generating top-level entity clkctrl2_altclkctrl_0.
+Info: altclkctrl_0: "clkctrl2" instantiated altclkctrl "altclkctrl_0"
+Info: clkctrl2: Done "clkctrl2" with 2 modules, 2 files
+Info: qsys-generate succeeded.
+Info: Finished: Create HDL design files for synthesis
Index: eclaireXL_ITX/clkctrl2/clkctrl2_inst.v
===================================================================
--- eclaireXL_ITX/clkctrl2/clkctrl2_inst.v	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/clkctrl2_inst.v	(revision 974)
@@ -0,0 +1,9 @@
+	clkctrl2 u0 (
+		.inclk3x   (<connected-to-inclk3x>),   //  altclkctrl_input.inclk3x
+		.inclk2x   (<connected-to-inclk2x>),   //                  .inclk2x
+		.inclk1x   (<connected-to-inclk1x>),   //                  .inclk1x
+		.inclk0x   (<connected-to-inclk0x>),   //                  .inclk0x
+		.clkselect (<connected-to-clkselect>), //                  .clkselect
+		.outclk    (<connected-to-outclk>)     // altclkctrl_output.outclk
+	);
+
Index: eclaireXL_ITX/clkctrl2/clkctrl2_inst.vhd
===================================================================
--- eclaireXL_ITX/clkctrl2/clkctrl2_inst.vhd	(nonexistent)
+++ eclaireXL_ITX/clkctrl2/clkctrl2_inst.vhd	(revision 974)
@@ -0,0 +1,21 @@
+	component clkctrl2 is
+		port (
+			inclk3x   : in  std_logic                    := 'X';             -- inclk3x
+			inclk2x   : in  std_logic                    := 'X';             -- inclk2x
+			inclk1x   : in  std_logic                    := 'X';             -- inclk1x
+			inclk0x   : in  std_logic                    := 'X';             -- inclk0x
+			clkselect : in  std_logic_vector(1 downto 0) := (others => 'X'); -- clkselect
+			outclk    : out std_logic                                        -- outclk
+		);
+	end component clkctrl2;
+
+	u0 : component clkctrl2
+		port map (
+			inclk3x   => CONNECTED_TO_inclk3x,   --  altclkctrl_input.inclk3x
+			inclk2x   => CONNECTED_TO_inclk2x,   --                  .inclk2x
+			inclk1x   => CONNECTED_TO_inclk1x,   --                  .inclk1x
+			inclk0x   => CONNECTED_TO_inclk0x,   --                  .inclk0x
+			clkselect => CONNECTED_TO_clkselect, --                  .clkselect
+			outclk    => CONNECTED_TO_outclk     -- altclkctrl_output.outclk
+		);
+
